{
	"artifacts" : 
	[
		{
			"path" : "C:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/build/intermediates/cxx/Debug/e72i4sl6/obj/arm64-v8a/libmalig925_repro.so"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_library",
			"target_link_libraries",
			"add_dependencies",
			"target_compile_options",
			"target_compile_definitions",
			"target_include_directories"
		],
		"files" : 
		[
			"CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 69,
				"parent" : 0
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 93,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 73,
				"parent" : 0
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 90,
				"parent" : 0
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 85,
				"parent" : 0
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 75,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-g -DANDROID -fdata-sections -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security   -fno-limit-debug-info  -fPIC"
				},
				{
					"backtrace" : 4,
					"fragment" : "-std=c++17"
				},
				{
					"backtrace" : 4,
					"fragment" : "-O2"
				},
				{
					"backtrace" : 4,
					"fragment" : "-Wall"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 5,
					"define" : "SYNC_MODE=SYNC_WAIT_SEMAPHORES"
				},
				{
					"backtrace" : 5,
					"define" : "VK_USE_PLATFORM_ANDROID_KHR"
				},
				{
					"define" : "malig925_repro_EXPORTS"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 6,
					"path" : "C:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/.cxx/Debug/e72i4sl6/arm64-v8a"
				},
				{
					"backtrace" : 6,
					"path" : "C:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/sources/android/native_app_glue"
				}
			],
			"language" : "CXX",
			"sourceIndexes" : 
			[
				0
			],
			"sysroot" : 
			{
				"path" : "C:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/toolchains/llvm/prebuilt/windows-x86_64/sysroot"
			}
		},
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-g -DANDROID -fdata-sections -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security  -fno-limit-debug-info  -fPIC"
				},
				{
					"backtrace" : 4,
					"fragment" : "-O2"
				},
				{
					"backtrace" : 4,
					"fragment" : "-Wall"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 5,
					"define" : "SYNC_MODE=SYNC_WAIT_SEMAPHORES"
				},
				{
					"backtrace" : 5,
					"define" : "VK_USE_PLATFORM_ANDROID_KHR"
				},
				{
					"define" : "malig925_repro_EXPORTS"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 6,
					"path" : "C:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/.cxx/Debug/e72i4sl6/arm64-v8a"
				},
				{
					"backtrace" : 6,
					"path" : "C:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/sources/android/native_app_glue"
				}
			],
			"language" : "C",
			"sourceIndexes" : 
			[
				1
			],
			"sysroot" : 
			{
				"path" : "C:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/toolchains/llvm/prebuilt/windows-x86_64/sysroot"
			}
		}
	],
	"dependencies" : 
	[
		{
			"backtrace" : 3,
			"id" : "gen_shader_header::@6890427a1f51a3e7e1df"
		}
	],
	"id" : "malig925_repro::@6890427a1f51a3e7e1df",
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "-static-libstdc++ -Wl,--build-id=sha1 -Wl,--no-rosegment -Wl,--fatal-warnings -Wl,--gc-sections -Wl,--no-undefined -Qunused-arguments",
				"role" : "flags"
			},
			{
				"backtrace" : 2,
				"fragment" : "-landroid",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-llog",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-lvulkan",
				"role" : "libraries"
			},
			{
				"fragment" : "-latomic -lm",
				"role" : "libraries"
			}
		],
		"language" : "CXX",
		"sysroot" : 
		{
			"path" : "C:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/toolchains/llvm/prebuilt/windows-x86_64/sysroot"
		}
	},
	"name" : "malig925_repro",
	"nameOnDisk" : "libmalig925_repro.so",
	"paths" : 
	{
		"build" : ".",
		"source" : "."
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "repro.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 1,
			"path" : "C:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/sources/android/native_app_glue/android_native_app_glue.c",
			"sourceGroupIndex" : 0
		}
	],
	"type" : "SHARED_LIBRARY"
}
